import IAAEnv from "./env";
const IAA = IAAEnv.detectMiniProgramEnvironment() === 'tt' ? tt : wx


let IAAConfig = {
    debug: false,

    // 基础参数
    baseParams: {
        app_id: "",
        client_id: "",
        gameId: "", //游戏ID
        appKey: "", //appKey
        appSecret: ""
    },

    // 游戏参数
    gameParams: {
        "game-pkg_name": "",
        "game-app_ver": "",
        "game-h_ver": "",
        "game-sdk_ver": "",
        "game-mp_id": "",
    },

    // 渠道参数
    agentParams: {
        "agent-ch": "",
        "agent-sub_ch": "",
    },

    // 设备参数
    deviceParams: {
        "device-device_id": "",
        "device-mac": "",
        "device-ip": "",
        "device-brand": "",
        "device-model": "",
        "device-os": "",
        "device-os_version": "",
        "device-screen": "",
        "device-net": "",
        "device-imsi": "",
        "device-longitude": "",
        "device-latitude": "",
        "device-userua": "",
        "device-disk_space": "",
        "device-open_time": "",
        "device-is_charge": "",
        "device-screen_luminance": "",
        "device-has_sim": "",
        "device-is_break": "",
    },
    extParams: {
        brand: "",
        model: "",
        pixelRatio: "",
        screenWidth: "",
        screenHeight: "",
        windowWidth: "",
        windowHeight: "",
        statusBarHeight: "",
        language: "",
        version: "",
        system: "",
        platform: "",
        fontSizeSetting: "",
        SDKVersion: "",
        benchmarkLevel: "",
        albumAuthorized: "",
        cameraAuthorized: "",
        locationAuthorized: "",
        microphoneAuthorized: "",
        notificationAuthorized: "",
        notificationAlertAuthorized: "",
        notificationBadgeAuthorized: "",
        notificationSoundAuthorized: "",
        bluetoothEnabled: "",
        locationEnabled: "",
        wifiEnabled: "",
        safeArea: "",
    },
    // 配置
    setting: {
        // 加载框配置
        showLoading: true,
        loadingParams: {
            title: "加载中"
        },

        // 提示框配置
        showToast: false,
        toastParams: {
            icon: "none",
        },
    },
    launchOptions: {},
};

switch (BUILD_ENV) {
    case "IAA":
        IAAConfig.baseUrl = "https://game.84game.cn/iaaSdk";
        IAAConfig.channelId = "";
        break;
}

try {
    IAAConfig.gameParams["game-pkg_name"] = IAA.canIUse ? "" : "game";

    IAA.getSystemInfo({
        success: (res) => {
            IAAConfig.deviceParams["device-brand"] = encodeURIComponent(res.brand); // 手机品牌
            IAAConfig.deviceParams["device-model"] = encodeURIComponent(res.model); // 手机型号
            IAAConfig.deviceParams["device-screen"] = encodeURIComponent(
                res.screenWidth + "x" + res.screenHeight
            ); // 屏幕分辨率
            console.log("res.platform====>", res.platform);
            IAAConfig.deviceParams["device-os"] = res.platform;
            IAAConfig.deviceParams["device-os_version"] = encodeURIComponent(
                res.system
            ); // 操作系统版本
            (IAAConfig.extParams.brand = res.brand),
                (IAAConfig.extParams.model = res.model),
                (IAAConfig.extParams.pixelRatio = res.pixelRatio),
                (IAAConfig.extParams.windowWidth = res.windowWidth),
                (IAAConfig.extParams.windowHeight = res.windowHeight),
                (IAAConfig.extParams.statusBarHeight = res.statusBarHeight),
                (IAAConfig.extParams.language = res.language),
                (IAAConfig.extParams.version = res.version),
                (IAAConfig.extParams.system = res.system),
                (IAAConfig.extParams.platform = res.platform),
                (IAAConfig.extParams.fontSizeSetting = res.fontSizeSetting),
                (IAAConfig.extParams.SDKVersion = res.SDKVersion),
                (IAAConfig.extParams.benchmarkLevel = res.benchmarkLevel),
                (IAAConfig.extParams["albumAuthorized\t"] = res.albumAuthorized),
                (IAAConfig.extParams.cameraAuthorized = res.cameraAuthorized),
                (IAAConfig.extParams.locationAuthorized = res.locationAuthorized),
                (IAAConfig.extParams.microphoneAuthorized = res.microphoneAuthorized),
                (IAAConfig.extParams.notificationAuthorized = res.notificationAuthorized),
                (IAAConfig.extParams.notificationAlertAuthorized = res.notificationAlertAuthorized),
                (IAAConfig.extParams.notificationBadgeAuthorized = res.notificationBadgeAuthorized),
                (IAAConfig.extParams.notificationSoundAuthorized = res.notificationSoundAuthorized),
                (IAAConfig.extParams.bluetoothEnabled = res.bluetoothEnabled),
                (IAAConfig.extParams.locationEnabled = res.locationEnabled),
                (IAAConfig.extParams.wifiEnabled = res.wifiEnabled),
                (IAAConfig.extParams.safeArea = res.safeArea);
        },
    });
    IAAConfig.extParams.userua = window.navigator.userAgent;
    IAA.getNetworkType({
        success: (res) => {
            IAAConfig.deviceParams["device-net"] = encodeURIComponent(res.networkType); // 网络类型
            IAAConfig.extParams.net = res.networkType;
        },
    });
    IAA.getScreenBrightness({
        success: (res) => {
            IAAConfig.deviceParams["device-screen_luminance"] = encodeURIComponent(
                parseInt(res.value * 100)
            ); // 屏幕亮度
            IAAConfig.extParams.screen_luminance = parseInt(100 * res.value);
        },
    });
} catch (e) { console.error('----->', e) }

module.exports = IAAConfig;